# WARRIORS OROCHI 4 1.0.13
# BID: 5C9CCD358BE85FC9
# Credits to Hazerou for figuring out the offset
# Main offset stores address to start of .bss of NRO
## REF: 02 00 00 00 3C 00 00 00

unsafeCheck: true

ALL_FPS:
  # Without DLC Ultimate Edition installed
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "=="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x934A8]
    value_type: uint32
    value: [VSYNC_TARGET, FPS_TARGET]
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "=="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x934A0]
    value_type: float
    value: FPS_TARGET
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "=="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x9349C]
    value_type: uint32
    value: [VSYNC_TARGET, FPS_TARGET]
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "=="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x93494]
    value_type: float
    value: FPS_TARGET
  # With DLC Ultimate Edition installed
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "!="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x93200]
    value_type: uint32
    value: [VSYNC_TARGET, FPS_TARGET]
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "!="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x931F8]
    value_type: float
    value: FPS_TARGET
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "!="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x931F4]
    value_type: uint32
    value: [VSYNC_TARGET, FPS_TARGET]
  -
    type: evaluate_compare
    compare_value_type: uint64
    compare_type: "!="
    compare_value: 0xE2CFDAC9EAC20398
    compare_address: [MAIN, 0x3AF80, -0x1A92FC0]
    address: [MAIN, 0x3AF80, -0x931EC]
    value_type: float
    value: FPS_TARGET
